
<div infiniteScroll [infiniteScrollDistance]="2" [infiniteScrollThrottle]="50" (scrolled)="OnScroll()">

  <mat-card *ngFor="let post of posts.reverse()" >
    <mat-card-content>
    <div class="flex-container">
      <div class="flex-container-small">
        <div class="flex-child-icon-saved">
          <mat-icon class="icon-display-saved-comment">account_circle</mat-icon>
        </div>
        <div class="flex-child header-post">
         {{post.author}}
        </div>
      </div>
      <div class="filler">

      </div>
      <div class="flex-creation-date">
        {{post.createdAt | date: 'dd.MM.yyyy'}}
      </div>
    </div>
    <mat-card>
      <mat-card-content>
    <div [innerHTML]="post.content">

    </div>
  </mat-card-content>
  </mat-card>
  </mat-card-content>
    <app-comment  [comments]="comments" [post_Id]="post.postId"></app-comment>
    <app-commentstree [comments]="comments" [post_Id] = "post.postId"></app-commentstree>
  </mat-card>

</div>
